Bug 549370 - spacewalk-report generates lines ending with CR and LF
spacewalk-report generates lines ending with CR and LF
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: New Feature (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: sat531-reports
  Show dependency treegraph
 
Reported: 2009-12-21 08:58 EST by Jan Hutař
Modified: 2010-01-07 09:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-07 09:10:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-12-21 08:58:57 EST
Description of problem:
spacewalk-report generates lines ending with CR and LF (for both header and data lines).


Version-Release number of selected component (if applicable):
spacewalk-reports-0.7.0-2.el4sat.noarch


How reproducible:
always


Steps to Reproduce:
1. # spacewalk-report entitlements | grep '^1,Red Hat SatTeam,channel,Red Hat Network Proxy,0,100$'


Actual results:
# spacewalk-report entitlements | grep '^1,Red Hat SatTeam,channel,Red Hat Network Proxy,0,100$'
<no output>
# spacewalk-report entitlements | grep "^1,Red Hat SatTeam,channel,Red Hat Network Proxy,0,100[[:space:]]\?$" | hexdump 
0000000 312c 5265 6420 4861 7420 5361 7454 6561
0000010 6d2c 6368 616e 6e65 6c2c 5265 6420 4861
0000020 7420 4e65 7477 6f72 6b20 5072 6f78 792c
0000030 302c 3130 300d 0a00                    
0000037


Expected results:
# spacewalk-report entitlements | grep '^1,Red Hat SatTeam,channel,Red Hat Network Proxy,0,100$'
1,Red Hat SatTeam,channel,Red Hat Network Proxy,0,100


Additional info:
It just confused me as on Linux expected end of line is just LF. Please close if this is expected and wanted.
Comment 1 Jan Pazdziora 2010-01-04 07:24:44 EST
Fixed in Spacewalk master 0d1b0f27a722bc54783242752c4b24373b1f3b46, fixed in
SATELLITE-5.3 d1c660aea992351f1458c739e4f894bc42cad079.
Comment 3 Jan Pazdziora 2010-01-04 09:13:19 EST
Tagged and built as spacewalk-reports-0.7.1-1.
Comment 4 Jan Hutař 2010-01-07 09:08:08 EST
Tested using rh-tests-RHN-Satellite-Other-Sanity-reporting-general-1.0-11.
Comment 5 Jan Pazdziora 2010-01-07 09:10:58 EST
Released in errata http://rhn.redhat.com/errata/RHEA-2010-0015.html

Note You need to log in before you can comment on or make changes to this bug.